Gecode::Gist::SearcherThread Class Reference

A thread that concurrently explores the tree. More...

`#include <treecanvas.hh>`

## Signals

void | update (int w, int h, int scale0)
void | statusChanged (bool)
void | scaleChanged (int)
void | solution (const Space *)
void | searchFinished (void)
void | moveToNode (VisualNode *n, bool)

## Public Member Functions

void | search (VisualNode *n, bool all, TreeCanvas *ti)

## Protected Member Functions

void | run (void)

## Detailed Description

A thread that concurrently explores the tree.

Definition at line 64 of file treecanvas.hh.

## Member Function Documentation

## search()

void Gecode::Gist::SearcherThread::search | ( | VisualNode * | n,
|  | bool | all,
|  | TreeCanvas * | ti )

Definition at line 282 of file treecanvas.cpp.

## update

void Gecode::Gist::SearcherThread::update | ( | int | w,
|  | int | h,
|  | int | scale0 )

signal

## statusChanged

void Gecode::Gist::SearcherThread::statusChanged | ( | bool |  | ) |

signal

## scaleChanged

void Gecode::Gist::SearcherThread::scaleChanged | ( | int |  | ) |

signal

## solution

void Gecode::Gist::SearcherThread::solution | ( | const Space * |  | ) |

signal

## searchFinished

void Gecode::Gist::SearcherThread::searchFinished | ( | void |  | ) |

signal

## moveToNode

void Gecode::Gist::SearcherThread::moveToNode | ( | VisualNode * | n,
|  | bool | )

signal

## run()

void Gecode::Gist::SearcherThread::run | ( | void |  | ) |

protected

Definition at line 364 of file treecanvas.cpp.

The documentation for this class was generated from the following files:

- gecode/gist/treecanvas.hh
- gecode/gist/treecanvas.cpp